Subject: Re: bug#16402: 24.3.50; Document nadvice.el stuff in Elisp manual before Emacs 24.4

From: Leo Liu <[email-masked]>
Date: Fri, 10 Jan 2014 12:19:10 +0800

On 2014-01-10 11:39 +0800, Daniel Colascione wrote:
> It'd be easier to document nadvice if there were a clear reason for it
> to exist. Regular advice works fine and has for a long time. It's very
> well documented has many useful features. It integrates with help. It
> supports various interactive commands. I have no plans to use nadvice
> myself any time soon and oppose deprecating regular advice.

I agree. People will have a few dozens of defadvice's in their init
file. I think nadvice might be able to cover 99% of defadvice over time.
The code is at manageable size (a few hindered lines) and looks clean.

But I haven't started using it since I am still mostly using 24.3.

Leo